Summary: DNS Visualization Tool
Name: dnssec-nodes
Version: 2.0
Release: 3%{?dist}
License: BSD
Group: Applications/Internet
URL: http://www.dnssec-tools.org/
Source0: https://www.dnssec-tools.org/download/%{name}-%{version}.tar.gz
Source1: dnssec-nodes.desktop

BuildRequires: qt-devel
BuildRequires: dnssec-tools-libs-devel >= 2.0
BuildRequires: openssl-devel
BuildRequires: desktop-file-utils
BuildRequires: libpcap-devel
Requires: dnssec-tools-libs >= 2.0

%description
A graphical DNS visualization application, specializing in DNSSEC.
The DNSSEC-Nodes application is a graphical debugging utility that
allows administrators to watch the data being logged into a libval or
bind logging file.

%prep
%setup -q 

%build
qmake-qt4 PREFIX=/usr
make %{?_smp_mflags} V=1

%install
make install INSTALL_ROOT=%{buildroot}

mkdir -p %{buildroot}/%{_datadir}/icons/hicolor/scalable/apps/
install -p -m 644 icons/dnssec-nodes.svg %{buildroot}/%{_datadir}/icons/hicolor/scalable/apps/
desktop-file-install --dir=%{buildroot}%{_datadir}/applications %{SOURCE1}

mkdir -p %{buildroot}/%{_mandir}/man1
install -p -D -m 644 man/dnssec-nodes.1 %{buildroot}/%{_mandir}/man1/dnssec-nodes.1

%post
touch --no-create %{_datadir}/icons/hicolor &> /dev/null || :

%postun
if [ $1 -eq 0 ] ; then
touch --no-create %{_datadir}/icons/hicolor &> /dev/null
gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :

%files
%doc COPYING
%{_bindir}/dnssec-nodes
%{_datadir}/icons/hicolor/*/apps/*.svg
%{_datadir}/applications/dnssec-nodes.desktop
%doc %{_mandir}/man1/*

%changelog
* Sat Aug 17 2013 Peter Robinson <pbrobinson@fedoraproject.org> 2.0-3
- Actually upload the 2.0 source, cleanup spec

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 20 2013 Wes Hardaker <wjhns174@hardakers.net> - 2.0-1
- 2.0 release

* Fri Oct 12 2012 Wes Hardaker <wjhns174@hardakers.net> - 1.14-1
- new upstream release

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.13-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jun 21 2012 Wes Hardaker <wjhns174@hardakers.net> - 1.13-1
- upgrade to 1.13

* Sat May 19 2012 Wes Hardaker <wjhns174@hardakers.net> - 1.12-2
- require dnssec-tools 1.12.1

* Tue Jan 31 2012 Wes Hardaker <wjhns174@hardakers.net> - 1.12-1
- Upgraded to version 1.12

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.11.p2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Oct 27 2011 Wes Hardaker <wjhns174@hardakers.net> - 1.11.p2-1
- Update to better upstream version with a man page and COPYING file

* Mon Oct 17 2011 Wes Hardaker <wjhns174@hardakers.net> - 1.11.p1-2
- Update to reflect needed changes for review

* Thu Oct 13 2011 Wes Hardaker <wjhns174@hardakers.net> - 1.11.p1-1
- Initial version
